Cotizaciones
Convertir una cotización en orden
Crea una orden abierta con el cliente, el punto de emisión (si lo hay)
y los ítems de la cotización, que queda como converted. Registra
abonos en la orden y emítela como factura cuando cubran el total.
POST
/
api
/
v1
/
accounts
/
{account_id}
/
quotes
/
{id}
/
convert_to_order
Convertir una cotización en orden
curl --request POST \
--url https://dashboard.tellen.app/api/v1/accounts/{account_id}/quotes/{id}/convert_to_order \
--header 'Authorization: Bearer <token>'import requests
url = "https://dashboard.tellen.app/api/v1/accounts/{account_id}/quotes/{id}/convert_to_order"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dashboard.tellen.app/api/v1/accounts/{account_id}/quotes/{id}/convert_to_order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dashboard.tellen.app/api/v1/accounts/{account_id}/quotes/{id}/convert_to_order",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://dashboard.tellen.app/api/v1/accounts/{account_id}/quotes/{id}/convert_to_order"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://dashboard.tellen.app/api/v1/accounts/{account_id}/quotes/{id}/convert_to_order")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://dashboard.tellen.app/api/v1/accounts/{account_id}/quotes/{id}/convert_to_order")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"order": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "<string>",
"status": "open",
"emission_date": "2023-12-25",
"contact_name": "<string>",
"total": 123,
"collected_amount": 123,
"outstanding_amount": 123,
"contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"razon_social": "<string>",
"identificacion": "<string>"
},
"emission_point": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"description": "<string>",
"store_code": "<string>",
"store_name": "<string>"
},
"notes": "<string>",
"ready_to_emit": true,
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"total_without_taxes": 123,
"total_discount": 123,
"taxes": [
{
"code": "<string>",
"label": "<string>",
"rate": 123,
"base": 123,
"iva": 123
}
],
"total_ice": 123,
"created_at": "2023-11-07T05:31:56Z",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"description": "<string>",
"quantity": 123,
"unit_price": 123,
"discount": 123,
"subtotal": 123,
"tax_rate": 123,
"tax_value": 123,
"ice_rate": 123,
"total": 123
}
],
"collections": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"collected_on": "2023-12-25",
"forma_pago": "<string>",
"forma_pago_label": "<string>",
"notes": "<string>"
}
]
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"errors": [
"<string>"
],
"field_errors": {}
}Authorizations
Token de API enviado como Authorization: Bearer tellen_tk_.... Genera
tu token desde tu cuenta de Tellen. Tu cuenta debe tener el acceso a la
API habilitado.
Path Parameters
Identificador de la cuenta.
Identificador de la cotización.
Response
La orden creada.
Show child attributes
Show child attributes
Convertir una cotización en orden
curl --request POST \
--url https://dashboard.tellen.app/api/v1/accounts/{account_id}/quotes/{id}/convert_to_order \
--header 'Authorization: Bearer <token>'import requests
url = "https://dashboard.tellen.app/api/v1/accounts/{account_id}/quotes/{id}/convert_to_order"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dashboard.tellen.app/api/v1/accounts/{account_id}/quotes/{id}/convert_to_order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dashboard.tellen.app/api/v1/accounts/{account_id}/quotes/{id}/convert_to_order",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://dashboard.tellen.app/api/v1/accounts/{account_id}/quotes/{id}/convert_to_order"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://dashboard.tellen.app/api/v1/accounts/{account_id}/quotes/{id}/convert_to_order")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://dashboard.tellen.app/api/v1/accounts/{account_id}/quotes/{id}/convert_to_order")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"order": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "<string>",
"status": "open",
"emission_date": "2023-12-25",
"contact_name": "<string>",
"total": 123,
"collected_amount": 123,
"outstanding_amount": 123,
"contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"razon_social": "<string>",
"identificacion": "<string>"
},
"emission_point": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"description": "<string>",
"store_code": "<string>",
"store_name": "<string>"
},
"notes": "<string>",
"ready_to_emit": true,
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"total_without_taxes": 123,
"total_discount": 123,
"taxes": [
{
"code": "<string>",
"label": "<string>",
"rate": 123,
"base": 123,
"iva": 123
}
],
"total_ice": 123,
"created_at": "2023-11-07T05:31:56Z",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"description": "<string>",
"quantity": 123,
"unit_price": 123,
"discount": 123,
"subtotal": 123,
"tax_rate": 123,
"tax_value": 123,
"ice_rate": 123,
"total": 123
}
],
"collections": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"collected_on": "2023-12-25",
"forma_pago": "<string>",
"forma_pago_label": "<string>",
"notes": "<string>"
}
]
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"errors": [
"<string>"
],
"field_errors": {}
}